Bug 807157 - numad runs as initrc_t
numad runs as initrc_t
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
Depends On:
Blocks: 832330 836160 840699 870470
  Show dependency treegraph
Reported: 2012-03-27 03:58 EDT by Milos Malik
Modified: 2013-02-21 03:34 EST (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-160.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 870470 (view as bug list)
Last Closed: 2013-02-21 03:34:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2012-03-27 03:58:04 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
# run_init service numad status
Authenticating root.
numad is stopped
# run_init service numad start
Authenticating root.
Starting numad: 
Looks like transparent hugepage scan time in /sys/kernel/mm/redhat_transparent_hugepage/khugepaged/scan_sleep_millisecs is 10000 ms.
Consider increasing the frequency of THP scanning,
by echoing a smaller number (e.g. 10) to /sys/kernel/mm/redhat_transparent_hugepage/khugepaged/scan_sleep_millisecs
to more agressively (re)construct THPs.  For example:
# echo 10 > /sys/kernel/mm/redhat_transparent_hugepage/khugepaged/scan_sleep_millisecs

                                                           [  OK  ]
# run_init service numad status
Authenticating root.
numad (pid  18163) is running...
# ps -efZ | grep numad
system_u:system_r:initrc_t:s0   root     18163     1  0 08:56 ?        00:00:00 /usr/bin/numad -i 10
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 18179 18082  0 08:56 pts/0 00:00:00 grep numad

Actual results:
* numad runs as initrc_t

Expected results:
* numad runs in its own SELinux domain
Comment 1 Miroslav Grepl 2012-03-27 08:37:31 EDT
I am going to add a new policy to Fedora. I would move this to RHEL6.4.
Comment 2 Denise Dumas 2012-08-03 12:26:09 EDT
Changing to correct component.
Comment 5 Miroslav Grepl 2012-09-04 07:47:56 EDT
Added and made it as unconfined domain.
Comment 8 errata-xmlrpc 2013-02-21 03:34:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.